Comment installer Genymotion pour émuler Android sur Windows, Linux et Mac

androïde de genymotion

Hier nous avons vu les étapes pour installer Virtualbox sur Debian ou Ubuntu (et dérivés), et est-ce que le Virtualisation C'est un domaine qui ces dernières années a beaucoup évolué, principalement parce que le matériel l'a accompagné et grâce à cela, il est possible de tester plusieurs systèmes d'exploitation invités dans un système très puissant qui leur fournit de l'espace et des ressources.

Si de virtualiser Android il s'agit, une option qui a gagné beaucoup d'espace est Genymotion, un émulateur dérivé du projet AndroiVM, très rapide qui a des clients pour Linux, Windows et Mac OS X et qui est précisément basé sur Virtualbox.

Offrez des Prise en charge de l'accélération OpenGL, pour la connectivité Ethernet (avec émulation de la connectivité wifi), GPS et ADB, avec lesquels nous pouvons même tester les modifications et rooter les appareils émulés). Il n'y a actuellement aucun support pour l'accéléromètre, la lumière ou le capteur de température, mais cela est en cours de développement et devrait arriver dans les versions futures.

pour les installer Genymotion Nous avons besoin de Virtualbox oui ou oui, c'est pourquoi le post d'hier sur la façon de l'installer est parfait. Une fois que nous remplissons cette exigence, nous avons télécharger Genymotion, ce qui nous oblige à y aller sur le site et nous créons un compte.

Avec le fichier déjà sur notre ordinateur, nous devons le mettre comme exécutable:

sudo chmod +x genymotion-1.2.1_x86.bin (para 32 bits)
sudo chmod +x genymotion-1.2.1_X64.bin (para 64 bits)

Nous l'exécutons et confirmons la requête du programme d'installation, après quoi nous Nous allons installer Genymotion dans / home / genymotion. Nous allons dans ce dossier et exécutons:

./genymotion

Lorsque l'émulateur démarre, il nous dit que nous devons créer un appareil virtuel, nous cliquons donc sur «Ajouter», nous entrons avec nos données de compte Genymotion et enfin nous pourrons voir les appareils virtuels. Nous pouvons sélectionner celui que nous voulons, bien que pour avoir le Play Store, nous devons choisir un appareil qui dit "avec Google Apps".

Nous cliquons sur «Suivant» et le téléchargement commence: lorsqu'il est terminé, nous cliquons à nouveau sur «Suivant», nous saisissons un nom pour notre appareil virtuel et nous cliquons sur «Créer».

Ca y est, nous avons déjà l'appareil et nous pouvons commencer à le configurer (taille de l'écran, etc.), bien que Pour l'utiliser, il faut cliquer sur le bouton "Play".», Et c'est là que l'émulation commence.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

8 commentaires, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   anavictorialagos dit

    bonjour je reçois ceci et il ne me laissera pas l'installer même si je l'ai dans mon dossier de téléchargements et j'ai également la boîte virtuelle installée sur le mint de Linux.
    sudo apt-get install genymotion-2.2.2_86.bin
    Lecture de la liste des paquets ... Terminé
    Créer une arborescence de dépendances
    Lecture des informations d'état ... Terminé
    E: Le paquet genymotion-2.2.2_86.bin est introuvable
    E: Aucun package n'a pu être trouvé avec l'expression régulière "genymotion-2.2.2_86.bin"

    1.    infâme extern dit

      s'il vous plaît, donnez un prix à cet idiot pour avoir mis ça, retournez à Windows !!! allez dans le répertoire depuis un terminal et exécutez loooooooo

      1.    Katskee dit

        Hahaha je suis d'accord xD

      2.    Fabito dit

        Je suis dégoûté par des gens comme vous, qui pour en savoir plus sur Linux, ils croient au droit de manquer de respect aux gens qui ne savent pas, apprennent à respecter, idiot. Et je vous insulte puisque vous avez fait de même, juste pour être clair. Peut-être êtes-vous né en connaissant les commandes et cela? NON, alors tais-toi.

  2.   stevengarcia83 dit

    Je ne comprends pas comment cette entrée peut être la première à apparaître dans google, les étapes sont erronées.

    Nous téléchargeons d'abord l'installateur, puis nous allons au terminal, nous allons dans le répertoire où nous avons le fichier .bin Genymotion et nous écrivons: ./genymotion-2.5.2_x64.bin

    Le programme d'installation s'ouvrira automatiquement.

    Sinon, le processus continue de consommer indéfiniment 100% du processeur et nous devons le tuer depuis la console.

  3.   Mags dit

    Je n'arrive pas à faire fonctionner genymotion sur Linux mint 17.2. J'ai installé virtualbox (4.3.34), j'autorise le fichier genymotion-2.6.0-ubuntu15_x64.bin (qui est le plus récent que j'ai trouvé, depuis la page genymotion), puis j'exécute:

    ./genymotion-2.6.0-ubuntu15_x64.bin

    L'installation se fait correctement, même en reconnaissant la virtualbox installée comme valide, plus le message "Installation effectuée avec succès".

    Mais le problème est que lorsque j'exécute "./genymotion", cela me donne le message suivant et ne démarre pas:

    ./genymotion: erreur lors du chargement des bibliothèques partagées: libdouble-conversion.so.1: impossible d'ouvrir le fichier objet partagé: aucun fichier ou répertoire de ce type

    Bien sûr, cela ne fonctionne pas non plus en cliquant sur le lanceur dans le menu Mint. Je ne trouve pas d'informations sur ces bibliothèques manquantes, si quelqu'un le sait, répondez-moi.

    Merci!

    1.    Juan Sebastian Lopez dit

      Pour mon Ubuntu 15.10:

      sudo apt-get install libdouble-conversion1v5

      dans Ubuntu 14.04 et Mint17, cela devrait fonctionner:

      sudo apt-get install libdouble-conversion1

      J'espère que ça t'aide.

  4.   Josber Arteaga dit

    merci ça ne m'a pas aidé du tout ils ne fonctionnent pas